For the complete documentation index, see llms.txt. This page is also available as Markdown.

Portfolio

Viewing all portfolios

get

To view all portfolios:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

No content

get/api/v2/portfolio
GET /api/v2/portfolio HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

No content

Creating a new portfolio

post

To create a new portfolio:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired
titlestringRequired
businessCodeIdstringRequired
taxCodeIdstringRequired
currencyIdstringRequired
paymentMethodstringRequired
invoicingEntityIdstringRequired
billingDayOfMonthstringRequired
parentPortfolioIdstringOptional
portalIdstringOptional
Responses
200

Successful response

No content

post/api/v2/portfolio
POST /api/v2/portfolio HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 215

{
  "name": "text",
  "title": "text",
  "businessCodeId": "text",
  "taxCodeId": "text",
  "currencyId": "text",
  "paymentMethod": "text",
  "invoicingEntityId": "text",
  "billingDayOfMonth": "text",
  "parentPortfolioId": "text",
  "portalId": "text"
}
200

Successful response

No content

Viewing a specific portfolio

get

To view details for a specific portfolio:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portfolioIdstringRequired
Responses
200

Successful response

application/json
portfolioIdstringOptional
namestringOptional
titlestringOptional
parentPortfolioIdstringOptional
portalIdstringOptional
systemSuspendstringOptional
adminSuspendstringOptional
customerSuspendstringOptional
businessCodeIdintegerOptional
taxCodeIdintegerOptional
currencyIdintegerOptional
paymentMethodIdintegerOptional
invoicingEntityIdintegerOptional
billingDayOfMonthintegerOptional
statusstringOptional
get/api/v2/portfolio/{portfolioId}
GET /api/v2/portfolio/{portfolioId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

{
  "portfolioId": "a628ebc659f7dac01f9fdcbd1116307a",
  "name": "Simple IoT Solutions",
  "title": "SimpleIoTSolutions",
  "parentPortfolioId": "69dacdf663020de7a7b19cfc1af85b11",
  "portalId": "5a67f8c024606d1a5c4b96720517734a",
  "systemSuspend": "no",
  "adminSuspend": "no",
  "customerSuspend": "no",
  "businessCodeId": 3,
  "taxCodeId": 3,
  "currencyId": 472,
  "paymentMethodId": 3,
  "invoicingEntityId": 6,
  "billingDayOfMonth": 1,
  "status": "setup",
  "attributes": [
    {
      "portfolioAttributeId": 120934,
      "portfolioId": "a628ebc659f7dac01f9fdcbd1116307a",
      "attribute": "repeatBillingAuthorized",
      "value": "yes",
      "status": "active"
    },
    {
      "portfolioAttributeId": 120937,
      "portfolioId": "a628ebc659f7dac01f9fdcbd1116307a",
      "attribute": "autoProvision",
      "value": "yes",
      "status": "active"
    }
  ]
}

Updating a specific portfolio

patch

To update a specific portfolio:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
portfolioIdstringRequired
Body
namestringOptional
titlestringOptional
parentPortfolioIdstringOptional
portalIdstringOptional
businessCodeIdstringOptional
taxCodeIdstringOptional
currencyIdstringOptional
invoicingEntityIdstringOptional
paymentMethodIdstringOptional
billingDayOfMonthstringOptional
statusstringOptional
Responses
200

Successful response

application/json
portfolioIdstringOptional
namestringOptional
titlestringOptional
parentPortfolioIdstringOptional
portalIdstringOptional
systemSuspendstringOptional
adminSuspendstringOptional
customerSuspendstringOptional
businessCodeIdintegerOptional
taxCodeIdintegerOptional
currencyIdintegerOptional
paymentMethodIdintegerOptional
invoicingEntityIdintegerOptional
billingDayOfMonthintegerOptional
statusstringOptional
patch/api/v2/portfolio/{portfolioId}
PATCH /api/v2/portfolio/{portfolioId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 233

{
  "name": "text",
  "title": "text",
  "parentPortfolioId": "text",
  "portalId": "text",
  "businessCodeId": "text",
  "taxCodeId": "text",
  "currencyId": "text",
  "invoicingEntityId": "text",
  "paymentMethodId": "text",
  "billingDayOfMonth": "text",
  "status": "text"
}
200

Successful response

{
  "portfolioId": "a628ebc659f7dac01f9fdcbd1116307a",
  "name": "Simple IoT Solutions",
  "title": "SimpleIoTSolutions",
  "parentPortfolioId": "69dacdf663020de7a7b19cfc1af85b11",
  "portalId": "5a67f8c024606d1a5c4b96720517734a",
  "systemSuspend": "no",
  "adminSuspend": "no",
  "customerSuspend": "no",
  "businessCodeId": 3,
  "taxCodeId": 3,
  "currencyId": 472,
  "paymentMethodId": 3,
  "invoicingEntityId": 6,
  "billingDayOfMonth": 1,
  "status": "active",
  "attributes": [
    {
      "portfolioAttributeId": 120934,
      "portfolioId": "a628ebc659f7dac01f9fdcbd1116307a",
      "attribute": "repeatBillingAuthorized",
      "value": "yes",
      "status": "active"
    },
    {
      "portfolioAttributeId": 120937,
      "portfolioId": "a628ebc659f7dac01f9fdcbd1116307a",
      "attribute": "autoProvision",
      "value": "yes",
      "status": "active"
    }
  ]
}

Last updated

Was this helpful?